/*
	CTaskSimulate - Task execute parameters, including dialog for task progress 
	TaskSimulate( CVwTask * ) - 
*/

//-----------------------------------------------------------------------------
// options which are set by dialog and used by task.
const static int BUF_OPTSIM_SIZE=42;
class COptionsSimulate { 
	public : 
		int m_iSegments;
		int m_iPointCount;
		bool m_bRandomSeed;		// true=random seed; false=user specified seed.
		int m_iRandomSeed;
		int m_iChannelCount;
		CItemArray m_aStimulation;
		CString m_cFileName;
		CModel m_oModel;
		int m_iSampleRate;
		bool m_bRemoveDwells;
		
		void ToBuffer( BYTE * buf );
		void FromBuffer( BYTE * buf );
		#ifdef WIN32
		bool RegistryLoad( );
		bool RegistrySave( );
		#endif
	};

//-----------------------------------------------------------------------------
class CTaskSimulate : public CVwTask { 
	public : 
		COptionsSimulate * m_pOptionsSimulate;
		HWND m_hwndDataView;

		CTaskSimulate();
		virtual ~CTaskSimulate();
			
	};

//-----------------------------------------------------------------
DWORD WINAPI TaskSimulate( LPVOID pParam );
